local AddName, AddonTable = ...
local L = AddonTable.L


--------------------------
--		Stat Init		--
--------------------------

AddonTable.greenText, AddonTable.redText, AddonTable.orangeText, AddonTable.blueText, AddonTable.purpleText, AddonTable.whiteText = "|cff71FFC9", "|cffC41E3A", "|cffFF7C0A", "|cff0070FF", "|cffA335EE", "|cffffffff"
AddonTable.classFilename = select(2, UnitClass("player"))
AddonTable.shatteringStar, AddonTable.combustion, AddonTable.luckOfDraw = 0, 0, 0
-- monk
AddonTable.skyreach, AddonTable.mysticTouch, AddonTable.faeExposure, AddonTable.serenity, AddonTable.hitCombo = 0, 0, 0, 0, 0
-- mage
AddonTable.radiantSpark = 0
-- dh
AddonTable.chaosBrand = 0
-- rogue
AddonTable.betweenEyes = 0
-- warrior
AddonTable.colossusSmash = 0
-- dk
AddonTable.razorIce = 0
-- warlock
AddonTable.felSunder = 0
-- mage
AddonTable.overflowEnergy = 0
-- priest
AddonTable.shadowForm = 0
-- hunter
AddonTable.LoneWolf = 0

	
--------------------------
--		ID Tables		--
--------------------------

AddonTable.ShatteringStar = {
	[370452] = {0.2},
}

AddonTable.Combustion = {
	[190319] = {100},
}

AddonTable.Skyreach = {
	[393047] = {50},
}

AddonTable.RadiantSpark = {
	[376104] = true,
}

AddonTable.BetweenEyes = {
	[315341] = {20},
}

AddonTable.ChaosBrand = {
	[1490] = {0.05},
}

AddonTable.MysticTouch = {
	[113746] = {0.05},
}

AddonTable.ColossusSmash = {
	[208086] = {0.3},
}

AddonTable.LoneWolf = {
	[164273] = {10},
}

AddonTable.RazorIce = {
	[51714] = true,
}

AddonTable.FelSunder = {
	[387402] = true,
}

AddonTable.FaeExposure = {
	[395414] = {0.08},
}

AddonTable.Serenity = {
	[152173] = {0.15},
}

AddonTable.Overflowing = {
	[394195] = true,
}

AddonTable.LuckOfTheDraw = {
	[72221] = true,
}

AddonTable.HitCombo = {
	[196741] = true,
}

AddonTable.Shadowform = {
	[232698] = {0.10},
}

AddonTable.Brittle = {
	[374557] = {0.06},
}

AddonTable.Eradication = {
	[196414] = {0.06},
}